Bug 351671 - NetworkManager is being denied 'execute' for nscd_exec_t
NetworkManager is being denied 'execute' for nscd_exec_t
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: NM07Tracker
  Show dependency treegraph
 
Reported: 2007-10-24 22:37 EDT by Will Woods
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 12:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit.log snippet (958 bytes, text/plain)
2007-10-24 22:37 EDT, Will Woods
no flags Details

  None (edit)
Description Will Woods 2007-10-24 22:37:26 EDT
NetworkManager-0.7.0-0.3.svn3016.fc8 wants to execute ncsd, as per the changelog
message:

- Tell nscd to restart if needed, don't silently kill it

but SELinux policy denies it. Here's the audit2allow output I gathered:

allow NetworkManager_t nscd_exec_t:file { read execute execute_no_trans };

audit messages will be attached.
Comment 1 Will Woods 2007-10-24 22:37:26 EDT
Created attachment 236901 [details]
audit.log snippet
Comment 2 Will Woods 2007-10-25 00:31:29 EDT
Appears to be fixed in selinux-policy-targeted-3.0.8-32.fc8 - can you confirm
that the change was made here? There's no mention of it in the changelog.
Comment 3 Daniel Walsh 2007-10-25 09:34:15 EDT
Fixed in selinux-policy-targeted-3.0.8-32.fc8

Note You need to log in before you can comment on or make changes to this bug.